{% extends "easy_pdf/base.html" %}

{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter portrait;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context %}
        <div style="padding-top: 1.5em;">
            <div align="center">
                <div style="line-height: 35px">
                    <span style="font-size: 23px;font-stretch: semi-expanded;font-weight: bold">GOVERNMENT COLLEGE OF TECHNOLOGY, COIMBATORE - 13</span><br>
                    <span style="font-size: 20px;font-stretch: semi-expanded;font-weight: bold">(An Autonomous Institution - Anna University, Chennai)</span><br>
                    <br>
                    <span style="font-size: 22px;font-stretch: semi-expanded;font-weight: bold"><u>COURSE ENROLLMENT FORM - REGULATIONS 2016</u></span><br>
                </div>
                <br>
                <table cellpadding="5">
                    <tr>
                        <td colspan="1" align="left">
                            <span style="font-size: 1.5em;">
                                <strong>REGISTER NO</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                              :&nbsp;&nbsp;{{ context.student_name.roll_no }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>NAME</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                               :&nbsp;&nbsp;{{ context.student_name }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>PROGRAMME & BRANCH</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                               :&nbsp;&nbsp;{{ context.student_name.qualification }} - {{ context.student_name.department.acronym }}
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>CURRENT SEMESTER</strong>
                            </span>
                        </td>
                        <td align="left">
                            <span style="font-size: 1.6em">
                                :&nbsp;&nbsp;{{ context.semester }}
                            </span>
                        </td>
                    </tr>
                </table>
                <br>
                <br>
                <br>

            </div>
        </div>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE COURSES DROPPED FOR THE ENROLLMENT:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 4%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 6%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 30%;">COURSE NAME</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 6%;">CATEGORY PE/OE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">CREDIT</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 27%;">SIGNATURE OF THE STUDENT
                    COUNSELLOR
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td align="center">2</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td colspan="7" style="font-size: 1.6em">
                    &nbsp;&nbsp;
                    <strong>PREVIOUS HISTORY OF COURSES DROPPED:</strong>
                </td>
            </tr>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td align="center">2</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td align="center">3</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            </tbody>
        </table>
        <br><br><br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE COURSES ADDED FOR THE ENROLLMENT:</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 10%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 25%;">COURSE NAME</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 10%;">CATEGORY PE/OE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 8%;">CREDIT</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 27%;">SIGNATURE OF THE STUDENT
                    COUNSELLOR
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td align="center">2</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td align="center">3</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td colspan="7" style="font-size: 1.6em">
                    &nbsp;&nbsp;
                    <strong>PREVIOUS HISTORY OF COURSES ADDED:</strong>
                </td>
            </tr>
            <tr>
                <td align="center">1</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td align="center">2</td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            </tbody>
        </table>
        <br><br>
        <div align="left" STYLE="font-size: 1.6em">
            <strong>DETAILS OF THE COURSES ENROLLED FOR THE CURRENT SEMESTER (INCLUDING ARREAR COURSES):</strong>
        </div>
        <table cellpadding="5" class="table table-hover" border="1" style="border-width: thin;padding-top: 30%;line-height: inherit">
            <thead>
            <tr>
                <th align="center" style="font-weight: bold;font-size: large;width: 5%;">S. No.</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 7%;">SEM</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 15%;">COURSE CODE</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 30%;">COURSE NAME</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 13%;">CATEGORY PC/PE/OE/BS
                    /FC/ES/HS ONE CREDIT
                </th>
                <th align="center" style="font-weight: bold;font-size: large;width: 8%;">CREDIT</th>
                <th align="center" style="font-weight: bold;font-size: large;width: 27%;">SIGNATURE OF THE STUDENT
                    COUNSELLOR
                </th>
            </tr>
            </thead>
            <tbody>
            {% for entry in context.data %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ entry.semester }}</td>
                    <td align="center">{{ entry.course_id }}</td>
                    <td align="left">{{ entry.course_name }}</td>
                    <td align="center">{{ entry.category }}</td>
                    <td align="center">{{ entry.credits }}</td>
                    {#                    <td align="center">{{ entry.course.category }}</td>#}
                    {#                    <td align="center">{{ entry.course.credit }}</td>#}
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% endif %}
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <div style="padding-top: 2em;">
        <div align="center">
            <table>
                <tr>
                    <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>DATE:</strong>
                            </span>
                    </td>
                </tr>
            </table>
            <br>
            <table>
                <tr>
                    <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>SIGNATURE OF THE STUDENT</strong>
                            </span>
                    </td>
                    <td align="right">
                            <span style="font-size: 1.5em;">
                                <strong>SIGNATURE OF THE COUNSELLOR</strong>
                            </span>
                    </td>
                </tr>
            </table>
            <br>
            <table>
                <tr>
                    <td align="left">
                            <span style="font-size: 1.5em;">
                                <strong>PROGRAMME COORDINATOR</strong>
                            </span>
                    </td>
                    <td align="right">
                            <span style="font-size: 1.5em;">
                                <strong>HEAD OF THE DEPARTMENT</strong>
                            </span>
                    </td>
                </tr>
            </table>

        </div>
    </div>
{% endblock %}